Subject: bug#5805: 23.1; abbrev-insert does not protext itself with save-excursion

From: Stefan Monnier <[email-masked]>
Date: Mon, 12 Apr 2010 14:13:30 -0400

> The workaround I have locally is using advice to place a save-excursion
> around the non-interactive function abbrev-insert.

As explained already, some abbrevs will want to move point and that is
done within abbrev-insert.

Please give us more information about your particular use.
I.e. I can't help you much further until you answer the question I asked
at the very beginning:

>> Observe that point ^ is now before the ()s.
> Right.  The question now is: why is that a problem?

        Stefan